Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Classes | Variables
ezmailfilterrule.php File Reference

Go to the source code of this file.

## Classes
class | eZMailFilterRule
class | eZMailFilter

## Variables
const | FILTER_MESSAGE 0
const | FILTER_BODY 1
const | FILTER_ANY 2
const | FILTER_TOCC 3
const | FILTER_SUBJECT 4
const | FILTER_FROM 5
const | FILTER_TO 6
const | FILTER_CC 7
const | FILTER_EQUALS 0
const | FILTER_NEQUALS 1
const | FILTER_CONTAINS 2
const | FILTER_NCONTAINS 3
const | FILTER_REGEXP 4

## Variable Documentation

## ◆ FILTER_ANY

const FILTER_ANY 2

Definition at line 47 of file ezmailfilterrule.php.

Referenced by buildFilterName(), and eZMailFilterRule\buildSearchArray().

## ◆ FILTER_BODY

const FILTER_BODY 1

Definition at line 46 of file ezmailfilterrule.php.

Referenced by buildFilterName(), and eZMailFilterRule\buildSearchArray().

## ◆ FILTER_CC

const FILTER_CC 7

Definition at line 52 of file ezmailfilterrule.php.

Referenced by buildFilterName(), and eZMailFilterRule\buildSearchArray().

## ◆ FILTER_CONTAINS

const FILTER_CONTAINS 2

Definition at line 56 of file ezmailfilterrule.php.

Referenced by eZMailFilterRule\applyFilter(), and buildFilterName().

## ◆ FILTER_EQUALS

const FILTER_EQUALS 0

Definition at line 54 of file ezmailfilterrule.php.

Referenced by eZMailFilterRule\applyFilter(), and buildFilterName().

## ◆ FILTER_FROM

const FILTER_FROM 5

Definition at line 50 of file ezmailfilterrule.php.

Referenced by buildFilterName(), and eZMailFilterRule\buildSearchArray().

## ◆ FILTER_MESSAGE

const FILTER_MESSAGE 0

! eZMail eZMailFilterRule documentation.

To check mail use the eZMailFilter class. Interaction with this class should only be nescasarry if you want to change a filter rule. Example code:

Definition at line 45 of file ezmailfilterrule.php.

Referenced by buildFilterName(), and eZMailFilterRule\buildSearchArray().

## ◆ FILTER_NCONTAINS

const FILTER_NCONTAINS 3

Definition at line 57 of file ezmailfilterrule.php.

Referenced by eZMailFilterRule\applyFilter(), and buildFilterName().

## ◆ FILTER_NEQUALS

const FILTER_NEQUALS 1

Definition at line 55 of file ezmailfilterrule.php.

Referenced by buildFilterName().

## ◆ FILTER_REGEXP

const FILTER_REGEXP 4

Definition at line 58 of file ezmailfilterrule.php.

Referenced by eZMailFilterRule\applyFilter(), and buildFilterName().

## ◆ FILTER_SUBJECT

const FILTER_SUBJECT 4

Definition at line 49 of file ezmailfilterrule.php.

Referenced by buildFilterName(), and eZMailFilterRule\buildSearchArray().

## ◆ FILTER_TO

const FILTER_TO 6

Definition at line 51 of file ezmailfilterrule.php.

Referenced by buildFilterName(), and eZMailFilterRule\buildSearchArray().

## ◆ FILTER_TOCC

const FILTER_TOCC 3

Definition at line 48 of file ezmailfilterrule.php.

Referenced by buildFilterName(), and eZMailFilterRule\buildSearchArray().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.